KNOWLEDGE BASE

Error: "Tableau Data Engine Error..." When Opening Extract


Published: 01 Mar 2017
Last Modified Date: 10 Mar 2017

Issue

When attempting to connect to an extract in Tableau Desktop 10.1 or earlier, one of the following error messages is received:
Tableau Data Engine Error: 201: 2
or
Tableau Data Engine Error: 4:  Version too new

Environment

  • Tableau Desktop 10.1 and earlier
  • Tableau Data Extract

Resolution

Open the extract in Tableau Desktop 10.2 or a later version.

Cause

Extracts of spatial files or extracts with geospatial columns (new feature in 10.2) are not compatible with data engines from earlier releases and attempting to open these extracts will result in an error.
Did this article resolve the issue?